<!DOCTYPE html>
<html lang="fr">
<head>
  <title>TOPISTO</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Bangers" rel="stylesheet" type="text/css">

  <link href="css/topisto.css" rel="stylesheet" type="text/css">
  <link href="css/fonts.css" rel="stylesheet" type="text/css">
<?php
// ----
// ---- Inclure les CSS spécifiques à l'article
// ----
$article = $_REQUEST['id'];
if (file_exists('articles/'.$article.'/styles.html'))
{
  $style = file_get_contents('articles/'.$article.'/styles.html');
  $style = str_replace('ARTICLE',$article,$style);
  echo $style;
}
?>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

  <!--
    -- From https://mathjax.org
    -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-MML-AM_CHTML' async></script>

  <!--
    -- From https://highlightjs.org
    -->
  <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.6/styles/atom-one-dark.min.css">
  <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.6/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script>
</head>
<body id="myPage" data-spy="scroll" data-target=".navbar" data-offset="60">

<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="..">
        <img id="logo_topisto" src="images/topisto_vert.png" style="border-radius:6px;display:inline-block;height:72px;;box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19)">
        <span style="vertical-align:text-bottom;display:inline-block;color:black;font-family: Bangers, sans-serif;font-size: 60px;text-shadow: 2px 2px #ffffff">TOPISTO</span>
      </a>
    </div>
  </div>
</nav>

<?php
// Le chapeau
if (file_exists('articles/'.$article.'/header.html')) 
{
  $header = file_get_contents('articles/'.$article.'/header.html');
  $header = str_replace('####BUTTON####','',$header);
  $header = str_replace('ARTICLE',$article,$header);
  echo $header;
}
// Le corps
if (file_exists('articles/'.$article.'/content.html')) 
{
  $contenu = file_get_contents('articles/'.$article.'/content.html');
  $contenu = str_replace('ARTICLE',$article,$contenu);
  echo $contenu;
}
// Les sous pages
$odd_even = 0;
foreach (glob("articles/$article/spages/*.html") as $filename) {
  $odd_even = 1 - $odd_even;
  $spage = file_get_contents($filename);
  if ($odd_even == 0) $spage = str_replace('bg-grey','bg-grey-odd',$spage);
  else $spage = str_replace('bg-grey','bg-grey-even',$spage);

  echo str_replace('ARTICLE',$article,$spage);
}
?>

</body>
</html>
<script>
$(document).ready(function(){
  $(".slideanim").each(function(){
    var pos = $(this).offset().top;
    var winTop = $(window).scrollTop();
    if (pos < winTop + 600) {
      $(this).addClass("slide");
    }
  });
})
</script>

